---
title: Update attribute values of a recipient
slug: campaign/api/update-attribute-values-of-a-recipient
docTags: 
createdAt: 2026-09-02T15:04:15.718Z
---

{
  "id": "Ldr-NGDSioysEqUWSmpEO",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.campaign.episerver.net/rest/{clientId}/recipients/{recipientListId}/{recipientId}",
    "servers": [
      {
        "url": "https://api.campaign.episerver.net/rest/{clientId}/recipients/{recipientListId}/{recipientId}"
      }
    ],
    "name": "Update attribute values of a recipient",
    "description": "",
    "contentType": "application/x-www-form-urlencoded",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "clientId",
          "type": "integer<int64>",
          "description": "Client ID",
          "format": "int64"
        },
        {
          "kind": "required",
          "name": "recipientId",
          "type": "string",
          "description": "<p>Recipient ID (usually the email address)</p>"
        },
        {
          "kind": "required",
          "name": "recipientListId",
          "type": "integer<int64>",
          "description": "Recipient list ID",
          "format": "int64"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json",
            "application/vnd.optivo.broadmail.v1+json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [
        {
          "name": "data",
          "kind": "optional",
          "type": "string",
          "description": "<p>Recipient data. Configure \"data.[attribute]\" according to the corresponding recipient list field.Does not work with the \"Try it out\" feature.</p>"
        },
        {
          "name": "mode",
          "kind": "optional",
          "type": "string<set | prepend | append>",
          "description": "<p>Mode for adding parameters to fields of type \"String\"Available values: set (to overwrite existing), prepend (to place before existing), append (to place after existing)</p>",
          "enum": [
            "set",
            "prepend",
            "append"
          ]
        }
      ],
      "oAuthParameters": [
        {
          "id": "Authorization",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "The recipient's attributes were updated successfully.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "RestRecipient",
            "schema": [
              {
                "name": "id",
                "kind": "optional",
                "type": "string",
                "description": "Recipient ID"
              },
              {
                "name": "created",
                "kind": "optional",
                "type": "string<date-time>",
                "description": "Creation date",
                "format": "date-time"
              },
              {
                "name": "modified",
                "kind": "optional",
                "type": "string<date-time>",
                "description": "Modification date",
                "format": "date-time"
              },
              {
                "name": "optInMailId",
                "kind": "optional",
                "type": "string",
                "description": "<p>Mail ID in case of double/confirmed opt-in process</p>"
              },
              {
                "name": "links",
                "kind": "optional",
                "type": "array",
                "description": "Restful links",
                "example": "",
                "itemType": "object",
                "customType": "object[]",
                "schema": [
                  {
                    "name": "uriBuilder",
                    "kind": "optional",
                    "type": "object",
                    "description": "",
                    "example": "",
                    "schema": []
                  },
                  {
                    "name": "rels",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "rel",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "type",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "params",
                    "kind": "optional",
                    "type": "map",
                    "description": "",
                    "example": "",
                    "customType": "map<string, string>",
                    "schema": []
                  },
                  {
                    "name": "title",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "uri",
                    "kind": "optional",
                    "type": "string<uri>",
                    "description": "",
                    "format": "uri"
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/RestRecipient",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "409",
        "description": "The indicated recipient list is not assigned to the indicated client. Ensure that \"clientId\" and \"recipientListId\" are correct and that the \"recipientListId\" is assigned to the indicated client.",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "QRenn37rK4qqUud3yycga",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.campaign.episerver.net/rest/{clientId}/recipients/{recipientListId}/{recipientId} \\\n     --header 'accept: application/json'"
        },
        {
          "id": "BK3h_5yg4SnKaMfcSflxF",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/x-www-form-urlencoded\");\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.campaign.episerver.net/rest/{clientId}/recipients/{recipientListId}/{recipientId}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "yNRr7aWznpFwDRvMwNcBJ",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.campaign.episerver.net/rest/{clientId}/recipients/{recipientListId}/{recipientId}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/x-www-form-urlencoded\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "V1cQAxSxCRt9I3_OYazLO",
          "language": "python",
          "label": "Python",
          "code": "import requests\n\nurl = \"https://api.campaign.episerver.net/rest/{clientId}/recipients/{recipientListId}/{recipientId}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/x-www-form-urlencoded'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "QRenn37rK4qqUud3yycga"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// The recipient's attributes were updated successfully.\n{\n  \"id\": \"\",\n  \"created\": \"\",\n  \"modified\": \"\",\n  \"optInMailId\": \"\",\n  \"links\": [\n    {\n      \"uriBuilder\": {},\n      \"rels\": [\n        \"\"\n      ],\n      \"rel\": \"\",\n      \"type\": \"\",\n      \"params\": \"\",\n      \"title\": \"\",\n      \"uri\": \"\"\n    }\n  ]\n}"
        },
        {
          "id": "response-1-409",
          "language": "409",
          "code": "// The indicated recipient list is not assigned to the indicated client. Ensure that \"clientId\" and \"recipientListId\" are correct and that the \"recipientListId\" is assigned to the indicated client.\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}